import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table/index.vue';
import { resourceDisposalWarning } from '../../../../api/index.js';
import { mapGetters } from 'vuex';
export default {
  components: {
    ScrollTable,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      isLoad: false,
      headers: ['部门', '资源名称', '资产类别', '申请日期', '处置类型'],
      data: [
        ['部门', '资源名称', '资产类别', '申请日期', '处置类型']
      ]
    };
  },
  methods: {
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        resourceDisposalWarning(this.deptId, this.year).then(res => {
          let data = res.rows.map(item => {
            return [item.bookName, item.assetName, item.assetType, item.applyAt, item.assetStatus]
          })
          this.data = data;
          this.isLoad = true;
        })
      }
    }
  }
};
